Name:           sugar-physics
Version:        8
Release:        2%{?dist}
Summary:        A physical world simulator and playground for Sugar

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.sugarlabs.org/go/Activities/Physics
Source0:        http://download.sugarlabs.org/sources/honey/Physics/Physics-%{version}.tar.bz2

BuildRequires:  sugar-toolkit
BuildRequires:  gettext
Requires:       sugar
Requires:       pybox2d
Requires:       python-elements
Requires:       python-olpcgames
BuildArch:      noarch

%description
You can add squares, circles, triangles, or draw your own shapes in
the Physics Activity, and see them come to life with forces (like gravity),
friction, and inertia.

%prep
%setup -q -n Physics-%{version}

# remove bundled libraries
rm -rf lib olpcgames

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

# set appropriate permissions
chmod a+x $RPM_BUILD_ROOT%{sugaractivitydir}Physics.activity/physics.py
chmod a-x $RPM_BUILD_ROOT%{sugaractivitydir}Physics.activity/activity/{activity.info,activity-physics.svg}

# remove duplicated files
rm -f $RPM_BUILD_ROOT%{sugaractivitydir}/Physics.activity/DEVELOPING

%find_lang org.laptop.physics

%clean
rm -rf $RPM_BUILD_ROOT

%files -f org.laptop.physics.lang
%defattr(-,root,root,-)
%doc DEVELOPING COPYING
%{sugaractivitydir}/Physics.activity/

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@gmail.com> - 8-1
- New 8 release

* Thu Oct 14 2010 Peter Robinson <pbrobinson@gmail.com> - 7-1
- New 7 release

* Fri Jul 30 2010 Sebastian Dziallas <sebastian@when.com> - 5-1
- new upstream release

* Tue Feb 23 2010 Sebastian Dziallas <sebastian@when.com> - 4-2
- now with previously missing locales

* Tue Feb 23 2010 Sebastian Dziallas <sebastian@when.com> - 4-1
- new upstream release

* Mon Feb 01 2010 Sebastian Dziallas <sebastian@when.com> - 3-3
- bump for building with correct source

* Sun Jan 31 2010 Sebastian Dziallas <sebastian@when.com> - 3-2
- add olpcgames dependency

* Sun Jan 03 2009 Sebastian Dziallas <sebastian@when.com> - 3-1
- initial packaging
